libsimple-validation-java - library for quickly adding validation code to Swing user-interfaces

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libsimple-validation-java
Package version: 0.9
Package release: 1
Package architecture: all
Package type: deb
Installed size: 213 B
Download size: 120.93 KB
Official Mirror:
This is a simple library for retrofitting user-interface input validation to Swing applications. It handles validating user input when the user changes a component's value, showing error messages and decorating components to indicate which component is the source of the problem. It contains a large number of built-in validators to handle most common situations, such as validating numbers, email addresses, urls and so forth.



    Source package: libsimple-validation-java

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libsimple-validation-java deb package:
      # sudo apt-get install libsimple-validation-java


    • /usr/share/doc/libsimple-validation-java/changelog.Debian.gz
    • /usr/share/doc/libsimple-validation-java/copyright
    • /usr/share/java/simple-validation-0.9.jar
    • /usr/share/java/simple-validation.jar
    • /usr/share/maven-repo/org/netbeans/simple-validation/0.9/simple-validation-0.9.jar
    • /usr/share/maven-repo/org/netbeans/simple-validation/0.9/simple-validation-0.9.pom
    • /usr/share/maven-repo/org/netbeans/simple-validation/debian/simple-validation-debian.jar
    • /usr/share/maven-repo/org/netbeans/simple-validation/debian/simple-validation-debian.pom


    2013-10-22 - Andrew Ross <> libsimple-validation-java (0.9-1) unstable; urgency=low * New upstream version. * Add me to uploaders. * Build with javahelper. * Bump standards version to 3.9.4. * Install maven pom. * Update d/copyright. * Remove patch as it is no longer required.

    2012-02-19 - Damien Raude-Morvan <> libsimple-validation-java (0.4-3) unstable; urgency=low * Team upload. * Use javahelper to add Class-Path variable and install JAR. Classpath now contains org-openide-util-* JARs which are used by simple-validation (this should prevent a crash in Jajuk).

    2011-09-11 - Torsten Werner <> libsimple-validation-java (0.4-2) unstable; urgency=low * Team upload. * Remove Java runtime from Depends. * Update Standards-Version: 3.9.2.

    2010-02-17 - Varun Hiremath <> libsimple-validation-java (0.4-1) unstable; urgency=low * Initial release (Closes: #570322)